English

Error: Failed to create feature class

Error Message

When attempting to convert labels to geodatabase annotation in ArcMap, or create a new annotation feature class in ArcCatalog, the following error is produced:

"Failed to create feature class. The edit that you have made is not supported in earlier versions of the Geodatabase. You must upgrade your Geodatabase to the current version in order to edit it."

Cause

Changes that took place at the ArcGIS 9.0 release require that the geodatabase being edited be upgraded to a newer version.

Solution or Workaround

  1. Close ArcMap, if it is open.
  2. Start ArcCatalog.
  3. Make a backup copy of the pre-9.0 version personal geodatabase.
  4. Right-click the geodatabase to be upgraded and select Properties.
  5. Click the General tab.
  6. Click 'Upgrade Personal Geodatabase'.
  7. Click OK.